Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.adata
Interface Run

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RunImpl

    public interface Run

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Run'.

The following features are supported:

- `Model`
- `Started`
- `Finished`
- `Name`
- `Parameter Sets`
- `Measurements`

See Also:
  `DataPackage.getRun()`

Method Summary
`java.util.Date` | `getFinished()` Returns the value of the 'Finished' attribute.
`org.eclipse.emf.common.util.EList<Measurement>` | `getMeasurements()` Returns the value of the 'Measurements' containment reference list.
`SContext` | `getModel()` Returns the value of the 'Model' reference.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`org.eclipse.emf.common.util.EList<ParameterSet>` | `getParameterSets()` Returns the value of the 'Parameter Sets' containment reference list.
`java.util.Date` | `getStarted()` Returns the value of the 'Started' attribute.
`void` | `setFinished(java.util.Date value)` Sets the value of the '`Finished`' attribute.
`void` | `setModel(SContext value)` Sets the value of the '`Model`' reference.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` | `setStarted(java.util.Date value)` Sets the value of the '`Started`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getModel

    SContext getModel()

  Returns the value of the 'Model' reference.

  If the meaning of the 'Model' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model' reference.
  See Also:
    `setModel(SContext)`, `DataPackage.getRun_Model()`

### setModel

    void setModel(SContext value)

  Sets the value of the '`Model`' reference.

  Parameters:
    `value` - the new value of the 'Model' reference.
  See Also:
    `getModel()`

### getStarted

    java.util.Date getStarted()

  Returns the value of the 'Started' attribute.

  If the meaning of the 'Started' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Started' attribute.
  See Also:
    `setStarted(Date)`, `DataPackage.getRun_Started()`

### setStarted

    void setStarted(java.util.Date value)

  Sets the value of the '`Started`' attribute.

  Parameters:
    `value` - the new value of the 'Started' attribute.
  See Also:
    `getStarted()`

### getFinished

    java.util.Date getFinished()

  Returns the value of the 'Finished' attribute.

  If the meaning of the 'Finished' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Finished' attribute.
  See Also:
    `setFinished(Date)`, `DataPackage.getRun_Finished()`

### setFinished

    void setFinished(java.util.Date value)

  Sets the value of the '`Finished`' attribute.

  Parameters:
    `value` - the new value of the 'Finished' attribute.
  See Also:
    `getFinished()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DataPackage.getRun_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getParameterSets

    org.eclipse.emf.common.util.EList<ParameterSet> getParameterSets()

  Returns the value of the 'Parameter Sets' containment reference list. The list contents are of type `ParameterSet`.

  If the meaning of the 'Parameter Sets' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter Sets' containment reference list.
  See Also:
    `DataPackage.getRun_ParameterSets()`

### getMeasurements

    org.eclipse.emf.common.util.EList<Measurement> getMeasurements()

  Returns the value of the 'Measurements' containment reference list. The list contents are of type `Measurement`. It is bidirectional and its opposite is '`Run`'.

  If the meaning of the 'Measurements' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Measurements' containment reference list.
  See Also:
    `DataPackage.getRun_Measurements()`, `Measurement.getRun()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD